<html lang="en">
<head>
<title>Blocks - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Drawables.html#Drawables" title="Drawables">
<link rel="prev" href="Sweeps.html#Sweeps" title="Sweeps">
<link rel="next" href="Repeats.html#Repeats" title="Repeats">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Blocks"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Repeats.html#Repeats">Repeats</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Sweeps.html#Sweeps">Sweeps</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Drawables.html#Drawables">Drawables</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.2.7 Blocks</h4>

<p><a name="index-block-327"></a><a name="index-_0040_007b-_0040_007d_0040r_007b_002c-block-drawable_007d-328"></a>Any sequence of drawables may be grouped in a <dfn>block</dfn> merely by
enclosing them in braces <span class="samp">{ }</span>.  A block is itself drawable.  A
key use of blocks is to extend the effect of a single <code>def</code>,
<a href="Definitions.html#Definitions">Definitions</a>, <code>put</code> <a href="Puts.html#Puts">Puts</a>, <code>sweep</code> <a href="Sweeps.html#Sweeps">Sweeps</a>,
or <code>repeat</code> <a href="Repeats.html#Repeats">Repeats</a> to include several objects rather than
one.

   <p>Definitions (See <a href="Definitions.html#Definitions">Definitions</a>.) inside a block have <dfn>lexical
scope</dfn>
<a name="index-lexical-scope-329"></a><a name="index-scope_002c-identifier-330"></a>extending from the place of definition to the end of the block.

   </body></html>

